package Tools;

/**
 * A debugging tool for figuring out which code is running in which
 * thread.
 */
public class ThreadTool {
	static class StackTrace extends Throwable {}

	public static void threadInfo() {
		Thread me = Thread.currentThread();
		System.err.println("Thread name: "+me.toString()
			+"; hash="+me.hashCode());
		(new StackTrace()).printStackTrace();
	}
}
